### Method

# Gtk.TreeSelection.get_selected

#### Declaration [src]

    gboolean
    gtk_tree_selection_get_selected (
      GtkTreeSelection* selection,
      GtkTreeModel** model,
      GtkTreeIter* iter
    )

#### Description [src]

Sets `iter` to the currently selected node if `selection` is set to

# GTK_SELECTION_SINGLE or #GTK_SELECTION_BROWSE. `iter` may be NULL if you

just want to test if `selection` has any selected nodes. `model` is filled with the current model as a convenience. This function will not work if you use `selection` is #GTK_SELECTION_MULTIPLE.

#### Parameters

`model` | `GtkTreeModel`
| A pointer to set to the `GtkTreeModel`, or NULL.
| Direction: out
| Ownership is not transferred to the callee
`iter` | `GtkTreeIter`
| The `GtkTreeIter`, or NULL.
| Direction: out
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
TRUE, if there is a selected node.